Carrefour Suggest
Get product suggestions from Carrefour by keyword or EAN, returning matching products with pricing, availability, and product details.
Credit cost: 1 credit per call
Authorization
ApiKeyAuth x-api-key<token>
Your API key. Include it in the x-api-key header for every request.
In: header
Query Parameters
query*string
Search keyword or EAN code to get product suggestions from Carrefour.
Accepted formats:
coca— keyword (e.g. brand name, product type)3276550063551— EAN barcode
Example (keyword):
cocaExample (EAN):
3276550063551Note: Only carrefour.fr is currently supported.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.piloterr.com/v2/carrefour/suggest?query=string"{
"results": [
{
"id": "product-5000112611861",
"type": "product",
"links": {
"self": "/p/soda-au-cola-gout-original-coca-cola-5000112611861",
"reviews": "/product/5000112611861/reviews"
},
"attributes": {
"ean": "5000112611861",
"slug": "soda-au-cola-gout-original-coca-cola",
"brand": "COCA-COLA",
"title": "Soda au Cola Goût Original COCA-COLA",
"format": "1,75L",
"packaging": "la bouteille d'1,75L",
"nutriscore": null,
"businesstype": "food",
"shorttitle": "Soda au Cola Goût Original COCA-COLA",
"customerreviews": {
"count": 33,
"rates": null,
"average": 4.79
},
"categories": [
{
"id": "27070",
"slug": "boissons",
"label": "Boissons",
"level": 1
},
{
"id": "27073",
"slug": "colas-thes-glaces-et-soft-drinks",
"label": "Colas, Thés glacés, Sirops et Sodas",
"level": 2
}
],
"offers": {
"5000112611861": {
"0261_150_6": {
"id": "0261-150-6",
"type": "offer",
"attributes": {
"ean": "5000112611861",
"price": {
"price": 2.39,
"perunit": 1.37,
"perunitlabel": "1.37 € / L",
"unitofmeasure": "L"
},
"availability": {
"purchasable": true
}
}
}
}
}
}
}
]
}{
"error": "Bad Request"
}{
"error": "Invalid API Key"
}{
"error": "Payment required"
}{
"error": "Rate limit exceeded for the API key: quota monthly"
}{
"error": "Internal Error"
}